#pragma once

#include "CoreMinimal.h"
#include "KillerFormSwitchingAbilityData.h"
#include "DBDTunableRowHandle.h"
#include "Templates/SubclassOf.h"
#include "K41BodyModeSwapAbilityData.generated.h"

class UStatusEffect;

UCLASS(Blueprintable)
class THEK41_API UK41BodyModeSwapAbilityData : public UKillerFormSwitchingAbilityData
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _initialCooldown;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _cooldownAfterTransitioningToFullBodyMode;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _cooldownAfterTransitioningToHeadMode;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<TSubclassOf<UStatusEffect>> _statusEffectsToImposeOnStart;

public:
	UK41BodyModeSwapAbilityData();
};

FORCEINLINE uint32 GetTypeHash(const UK41BodyModeSwapAbilityData) { return 0; }
